{ pkgs ? import <nixpkgs> { }, pre-commit-hooks }:
let
  pre-commit-check = pre-commit-hooks.lib.${pkgs.system}.run {
    src = ./.;
    hooks = {
      gofmt.enable = true;
      isort.enable = true;
      black.enable = true;
    };
  };
in pkgs.mkShell {
  inherit (pre-commit-check) shellHook;
  name = "hb-downloader";
  buildInputs =
    [ (pkgs.python3.withPackages (pyPkgs: with pyPkgs; [ requests mypy ])) ];
  nativeBuildInputs = [ pkgs.aria2 ];
}
